Bug 1311950 - (CVE-2016-0792) CVE-2016-0792 jenkins: Remote code execution through remote API (SECURITY-247)
CVE-2016-0792 jenkins: Remote code execution through remote API (SECURITY-247)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160224,repo...
: Security
Depends On: 1311951 1311952 1320309 1324676 1324677
Blocks: 1320308 1324911
  Show dependency treegraph
 
Reported: 2016-02-25 06:32 EST by Andrej Nemec
Modified: 2018-03-01 13:00 EST (History)
15 users (show)

See Also:
Fixed In Version: Jenkins 1.650, Jenkins 1.642.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 19:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0711 normal SHIPPED_LIVE Important: jenkins security update 2016-05-03 15:30:17 EDT
Red Hat Product Errata RHSA-2016:1773 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 2.2.10 security, bug fix, and enhancement update 2016-08-24 19:41:18 EDT

  None (edit)
Description Andrej Nemec 2016-02-25 06:32:54 EST
The following flaw was found in Jenkins:

Jenkins has several API endpoints that allow low-privilege users to POST XML files that then get deserialized by Jenkins. Maliciously crafted XML files sent to these API endpoints could result in arbitrary code execution.

External References:

https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2016-02-24
Comment 2 Andrej Nemec 2016-02-25 06:33:55 EST
Created jenkins tracking bugs for this issue:

Affects: fedora-all [bug 1311952]
Comment 3 Fedora Update System 2016-03-17 16:54:22 EDT
jenkins-1.625.3-3.fc23, jenkins-remoting-2.53.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-03-17 17:21:22 EDT
jenkins-1.609.3-6.fc22, jenkins-remoting-2.53.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 errata-xmlrpc 2016-05-03 11:32:29 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 3.1

Via RHSA-2016:0711 https://access.redhat.com/errata/RHSA-2016:0711
Comment 8 errata-xmlrpc 2016-08-24 15:45:06 EDT
This issue has been addressed in the following products:

  Red Hat OpenShift Enterprise 2.2

Via RHSA-2016:1773 https://rhn.redhat.com/errata/RHSA-2016-1773.html

Note You need to log in before you can comment on or make changes to this bug.